package dev.shadowsoffire.apotheosis.ench;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import dev.shadowsoffire.apotheosis.ench.Ench;
import dev.shadowsoffire.apotheosis.ench.objects.ExtractionTomeItem;
import dev.shadowsoffire.apotheosis.ench.objects.GlowyBlockItem;
import dev.shadowsoffire.apotheosis.ench.objects.ImprovedScrappingTomeItem;
import dev.shadowsoffire.apotheosis.ench.objects.ScrappingTomeItem;
import dev.shadowsoffire.apotheosis.ench.objects.TomeItem;
import java.util.function.Supplier;
import net.minecraft.world.item.BlockItem;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.Rarity;
import net.minecraft.world.item.enchantment.EnchantmentCategory;
import net.minecraft.world.level.block.Block;
import net.minecraftforge.registries.RegistryObject;

public class Items {
  public static final RegistryObject<BlockItem> BEESHELF = Ench.R.item("beeshelf", () -> new BlockItem((Block)Ench.Blocks.BEESHELF.get(), new Item.Properties()));
  
  public static final RegistryObject<BlockItem> BLAZING_HELLSHELF = Ench.R.item("blazing_hellshelf", () -> new BlockItem((Block)Ench.Blocks.BLAZING_HELLSHELF.get(), new Item.Properties()));
  
  public static final RegistryObject<TomeItem> BOOTS_TOME = Ench.R.item("boots_tome", () -> new TomeItem(net.minecraft.world.item.Items.f_42475_, EnchantmentCategory.ARMOR_FEET));
  
  public static final RegistryObject<TomeItem> BOW_TOME = Ench.R.item("bow_tome", () -> new TomeItem(net.minecraft.world.item.Items.f_42411_, EnchantmentCategory.BOW));
  
  public static final RegistryObject<TomeItem> CHESTPLATE_TOME = Ench.R.item("chestplate_tome", () -> new TomeItem(net.minecraft.world.item.Items.f_42473_, EnchantmentCategory.ARMOR_CHEST));
  
  public static final RegistryObject<BlockItem> CRYSTAL_SEASHELF = Ench.R.item("crystal_seashelf", () -> new BlockItem((Block)Ench.Blocks.CRYSTAL_SEASHELF.get(), new Item.Properties()));
  
  public static final RegistryObject<GlowyBlockItem> DEEPSHELF = Ench.R.item("deepshelf", () -> new GlowyBlockItem((Block)Ench.Blocks.DEEPSHELF.get(), new Item.Properties()));
  
  public static final RegistryObject<BlockItem> DORMANT_DEEPSHELF = Ench.R.item("dormant_deepshelf", () -> new BlockItem((Block)Ench.Blocks.DORMANT_DEEPSHELF.get(), new Item.Properties()));
  
  public static final RegistryObject<BlockItem> DRACONIC_ENDSHELF = Ench.R.item("draconic_endshelf", () -> new BlockItem((Block)Ench.Blocks.DRACONIC_ENDSHELF.get(), new Item.Properties()));
  
  public static final RegistryObject<BlockItem> ECHOING_DEEPSHELF = Ench.R.item("echoing_deepshelf", () -> new BlockItem((Block)Ench.Blocks.ECHOING_DEEPSHELF.get(), new Item.Properties()));
  
  public static final RegistryObject<BlockItem> ECHOING_SCULKSHELF = Ench.R.item("echoing_sculkshelf", () -> new BlockItem((Block)Ench.Blocks.ECHOING_SCULKSHELF.get(), new Item.Properties()));
  
  public static final RegistryObject<BlockItem> ENDER_LIBRARY = Ench.R.item("ender_library", () -> new BlockItem((Block)Ench.Blocks.ENDER_LIBRARY.get(), new Item.Properties()));
  
  public static final RegistryObject<BlockItem> ENDSHELF = Ench.R.item("endshelf", () -> new BlockItem((Block)Ench.Blocks.ENDSHELF.get(), new Item.Properties()));
  
  public static final RegistryObject<ExtractionTomeItem> EXTRACTION_TOME = Ench.R.item("extraction_tome", ExtractionTomeItem::new);
  
  public static final RegistryObject<TomeItem> FISHING_TOME = Ench.R.item("fishing_tome", () -> new TomeItem(net.minecraft.world.item.Items.f_42523_, EnchantmentCategory.FISHING_ROD));
  
  public static final RegistryObject<BlockItem> GLOWING_HELLSHELF = Ench.R.item("glowing_hellshelf", () -> new BlockItem((Block)Ench.Blocks.GLOWING_HELLSHELF.get(), new Item.Properties()));
  
  public static final RegistryObject<BlockItem> HEART_SEASHELF = Ench.R.item("heart_seashelf", () -> new BlockItem((Block)Ench.Blocks.HEART_SEASHELF.get(), new Item.Properties()));
  
  public static final RegistryObject<BlockItem> HELLSHELF = Ench.R.item("hellshelf", () -> new BlockItem((Block)Ench.Blocks.HELLSHELF.get(), new Item.Properties()));
  
  public static final RegistryObject<TomeItem> HELMET_TOME = Ench.R.item("helmet_tome", () -> new TomeItem(net.minecraft.world.item.Items.f_42472_, EnchantmentCategory.ARMOR_HEAD));
  
  public static final RegistryObject<ImprovedScrappingTomeItem> IMPROVED_SCRAP_TOME = Ench.R.item("improved_scrap_tome", ImprovedScrappingTomeItem::new);
  
  public static final RegistryObject<Item> INERT_TRIDENT = Ench.R.item("inert_trident", () -> new Item((new Item.Properties()).m_41487_(1)));
  
  public static final RegistryObject<Item> INFUSED_BREATH = Ench.R.item("infused_breath", () -> new Item((new Item.Properties()).m_41497_(Rarity.EPIC)));
  
  public static final RegistryObject<GlowyBlockItem> INFUSED_HELLSHELF = Ench.R.item("infused_hellshelf", () -> new GlowyBlockItem((Block)Ench.Blocks.INFUSED_HELLSHELF.get(), new Item.Properties()));
  
  public static final RegistryObject<GlowyBlockItem> INFUSED_SEASHELF = Ench.R.item("infused_seashelf", () -> new GlowyBlockItem((Block)Ench.Blocks.INFUSED_SEASHELF.get(), new Item.Properties()));
  
  public static final RegistryObject<TomeItem> LEGGINGS_TOME = Ench.R.item("leggings_tome", () -> new TomeItem(net.minecraft.world.item.Items.f_42474_, EnchantmentCategory.ARMOR_LEGS));
  
  public static final RegistryObject<BlockItem> LIBRARY = Ench.R.item("library", () -> new BlockItem((Block)Ench.Blocks.LIBRARY.get(), new Item.Properties()));
  
  public static final RegistryObject<BlockItem> MELONSHELF = Ench.R.item("melonshelf", () -> new BlockItem((Block)Ench.Blocks.MELONSHELF.get(), new Item.Properties()));
  
  public static final RegistryObject<TomeItem> OTHER_TOME = Ench.R.item("other_tome", () -> new TomeItem(net.minecraft.world.item.Items.f_41852_, null));
  
  public static final RegistryObject<BlockItem> PEARL_ENDSHELF = Ench.R.item("pearl_endshelf", () -> new BlockItem((Block)Ench.Blocks.PEARL_ENDSHELF.get(), new Item.Properties()));
  
  public static final RegistryObject<TomeItem> PICKAXE_TOME = Ench.R.item("pickaxe_tome", () -> new TomeItem(net.minecraft.world.item.Items.f_42390_, EnchantmentCategory.DIGGER));
  
  public static final RegistryObject<Item> PRISMATIC_WEB = Ench.R.item("prismatic_web", () -> new Item(new Item.Properties()));
  
  public static final RegistryObject<BlockItem> RECTIFIER = Ench.R.item("rectifier", () -> new BlockItem((Block)Ench.Blocks.RECTIFIER.get(), new Item.Properties()));
  
  public static final RegistryObject<BlockItem> RECTIFIER_T2 = Ench.R.item("rectifier_t2", () -> new BlockItem((Block)Ench.Blocks.RECTIFIER_T2.get(), new Item.Properties()));
  
  public static final RegistryObject<BlockItem> RECTIFIER_T3 = Ench.R.item("rectifier_t3", () -> new BlockItem((Block)Ench.Blocks.RECTIFIER_T3.get(), new Item.Properties()));
  
  public static final RegistryObject<ScrappingTomeItem> SCRAP_TOME = Ench.R.item("scrap_tome", ScrappingTomeItem::new);
  
  public static final RegistryObject<BlockItem> SEASHELF = Ench.R.item("seashelf", () -> new BlockItem((Block)Ench.Blocks.SEASHELF.get(), new Item.Properties()));
  
  public static final RegistryObject<BlockItem> SIGHTSHELF = Ench.R.item("sightshelf", () -> new BlockItem((Block)Ench.Blocks.SIGHTSHELF.get(), new Item.Properties()));
  
  public static final RegistryObject<BlockItem> SIGHTSHELF_T2 = Ench.R.item("sightshelf_t2", () -> new BlockItem((Block)Ench.Blocks.SIGHTSHELF_T2.get(), new Item.Properties()));
  
  public static final RegistryObject<BlockItem> SOUL_TOUCHED_DEEPSHELF = Ench.R.item("soul_touched_deepshelf", () -> new BlockItem((Block)Ench.Blocks.SOUL_TOUCHED_DEEPSHELF.get(), new Item.Properties()));
  
  public static final RegistryObject<BlockItem> SOUL_TOUCHED_SCULKSHELF = Ench.R.item("soul_touched_sculkshelf", () -> new BlockItem((Block)Ench.Blocks.SOUL_TOUCHED_SCULKSHELF.get(), new Item.Properties()));
  
  public static final RegistryObject<BlockItem> STONESHELF = Ench.R.item("stoneshelf", () -> new BlockItem((Block)Ench.Blocks.STONESHELF.get(), new Item.Properties()));
  
  public static final RegistryObject<Item> WARDEN_TENDRIL = Ench.R.item("warden_tendril", () -> new Item(new Item.Properties()));
  
  public static final RegistryObject<TomeItem> WEAPON_TOME = Ench.R.item("weapon_tome", () -> new TomeItem(net.minecraft.world.item.Items.f_42388_, EnchantmentCategory.WEAPON));
  
  public static final RegistryObject<BlockItem> FILTERING_SHELF = Ench.R.item("filtering_shelf", () -> new BlockItem((Block)Ench.Blocks.FILTERING_SHELF.get(), (new Item.Properties()).m_41497_(Rarity.UNCOMMON)));
  
  public static final RegistryObject<BlockItem> TREASURE_SHELF = Ench.R.item("treasure_shelf", () -> new BlockItem((Block)Ench.Blocks.TREASURE_SHELF.get(), (new Item.Properties()).m_41497_(Rarity.UNCOMMON)));
  
  private static void bootstrap() {}
}
